# Gimp.ProcedureConfig

    const Gimp = imports.gi.Gimp;

    let procedureConfig = new Gimp.ProcedureConfig({
        procedure: value,
    });

The base class for [class@Procedure] specific config objects and the main interface to manage aspects of [class@Procedure]'s arguments such as persistency of the last used arguments across GIMP sessions.

A procedure config is created by a [class@Procedure] using [method@Procedure.create_config] and its properties match the procedure's arguments and auxiliary arguments in number, order and type.

It implements the [struct@Config] interface and therefore has all its serialization and deserialization features.

Since 3.0

## Hierarchy

- GObject.Object
  - Gimp.ProcedureConfig

## Methods

- Gimp.ProcedureConfig.prototype.get_choice_id
- Gimp.ProcedureConfig.prototype.get_color_array
- Gimp.ProcedureConfig.prototype.get_core_object_array
- Gimp.ProcedureConfig.prototype.get_procedure
- Gimp.ProcedureConfig.prototype.save_metadata
- Gimp.ProcedureConfig.prototype.set_color_array
- Gimp.ProcedureConfig.prototype.set_core_object_array

## Properties

- procedure